org.richfaces.ui.ajax.function

## Enum UIAjaxFunction.Properties

- java.lang.Object
- - java.lang.Enum<UIAjaxFunction.Properties>
  - - org.richfaces.ui.ajax.function.UIAjaxFunction.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIAjaxFunction.Properties>
  Enclosing class:
    UIAjaxFunction

      protected static enum UIAjaxFunction.Properties
      extends Enum<UIAjaxFunction.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `bypassUpdates`
    `data`
    `execute`
    `limitRender`
    `name`
    `onbeforedomupdate`
    `onbegin`
    `oncomplete`
    `render`
    `status`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIAjaxFunction.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIAjaxFunction.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### bypassUpdates

          public static final UIAjaxFunction.Properties bypassUpdates

    - #### data

          public static final UIAjaxFunction.Properties data

    - #### execute

          public static final UIAjaxFunction.Properties execute

    - #### limitRender

          public static final UIAjaxFunction.Properties limitRender

    - #### name

          public static final UIAjaxFunction.Properties name

    - #### onbeforedomupdate

          public static final UIAjaxFunction.Properties onbeforedomupdate

    - #### onbegin

          public static final UIAjaxFunction.Properties onbegin

    - #### oncomplete

          public static final UIAjaxFunction.Properties oncomplete

    - #### render

          public static final UIAjaxFunction.Properties render

    - #### status

          public static final UIAjaxFunction.Properties status

  - ### Method Detail

    - #### values

          public static UIAjaxFunction.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIAjaxFunction.Properties c : UIAjaxFunction.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIAjaxFunction.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 JBoss by Red Hat. All rights reserved.